
From: William Lee Irwin III <wli@holomorphy.com>

acpi_system_write_wakeup_device() has the wrong return type and is missing
the __user attribution from its buffer argument.  This patch shuts up the
resulting warnings on x86-64.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/sleep/proc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/acpi/sleep/proc.c~fix-acpi_system_write_wakeup_device-prototype drivers/acpi/sleep/proc.c
--- 25/drivers/acpi/sleep/proc.c~fix-acpi_system_write_wakeup_device-prototype	2004-08-07 22:02:38.611352208 -0700
+++ 25-akpm/drivers/acpi/sleep/proc.c	2004-08-07 22:02:38.651346128 -0700
@@ -384,10 +384,10 @@ acpi_system_wakeup_device_seq_show(struc
 	return 0;
 }
 
-static int
+static ssize_t
 acpi_system_write_wakeup_device (
 	struct file		*file,
-	const char		*buffer,
+	const char __user	*buffer,
 	size_t			count,
 	loff_t			*ppos)
 {
_
